<?php

// Require json support
include_once('wfmjson.php');
include_once('Picasa.php');
include_once('Album.php');

// Only define the function if it doesn't already exist
if (!function_exists('wppicasa')) {

	function wppicasa($username = '', $collection = '') {
		// Construct the url
		$url = 'http://picasaweb.google.com/data/feed/api/user/'.urlencode($username).'/album/'.urlencode($collection);

		// Generate the hash
		$picasa = array();

		// Query the data for all image elements
		$album = new Picasa_Album($url);
		$images = $album->getImages();

		// Loop over each image
		foreach ($images as $image) {

			// Get the description to use as a caption
			$desc = $image->getDescription();

			// Get the direct url
			$src = $image->getContent();
			
			// Get the medium thumbnail
			$thumb = $image->getMediumThumb();

			$picasa[(string)$src] = array('caption' => (string)$desc, 'thumbnail' => (string)$thumb, 'href' => (string)$src);
			//error_log('src: '.$src.' caption: '.$desc.' thumbnail: '.$src.' href: '.$src);
		}
		
		// Return a json encoded string
		return json_encode($picasa);
	}
}
?>